%define upstream_name    Proc-SafeExec
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Uses Proc::SafeExec to manage a group of concurrent processes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Proc::SafeExec provides an easy, safe way to execute external programs. It
replaces all of Perl's questionable ways of accomodating this, including
system(), open() with a pipe, exec(), back-ticks, etc. This module will
never automatically invoke /bin/sh. This module is easy enough to use that
/bin/sh should be unnecessary, even for complex pipelines.

For all errors, this module dies setting $@.

Errors from exec() in the child are reported gracefully to the parent. This
means that if anything fails in the child, the error is reported through $@
with die just like any other error. This also reports $@ if child_callback
dies when it is called between fork() and exec(). This is accomplished by
passing $@ through an extra pipe that's closed when exec succeeds. Note: A
side-effect of this is $@ is stringified if it isn't a string.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files

%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.500.0-3pclos2017
- rebuild against updates

